Subject: Fwd: about snmp-subagent

From: Randy Presuhn <[email-masked]>
Date: Tue, 19 Oct 1999 09:14:18 -0700 (PDT)

Hi -

I'm forwarding a non-subscriber post to the agentx working group
mailing list.  Please CC: the original poster in your responses,
since it's clear help is needed.

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------

> Received: from tangelo.bmc.com ([email-masked] [172.17.7.166])
> 	by dorothy.peer.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id UAA23159
> 	for <[email-masked]>; Mon, 18 Oct 1999 20:00:49 -0700 (PDT)
> Received: from fw-us-hou1.bmc.com (fw-us-hou1.bmc.com [172.17.0.250])
> 	by tangelo.bmc.com (8.8.6 (PHNE_17135)/8.8.6) with SMTP id WAA13781
> 	for <[email-masked]>; Mon, 18 Oct 1999 22:00:47 -0500 (CDT)
> Received: by excausy001.au.wang.com with Internet Mail Service (5.5.2448.0)
> 	id <VCHALH21>; Tue, 19 Oct 1999 13:01:25 +1000
> Message-ID: <[email-masked]>
> From: "Ni, Heidi" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: about snmp-subagent
> Date: Tue, 19 Oct 1999 13:01:24 +1000
> MIME-Version: 1.0
> X-Mailer: Internet Mail Service (5.5.2448.0)
> Content-Type: text/plain;
> 	charset="iso-8859-1"
> 
> Hi, All
> 
> I want snmp enable for one of my  system machine.
> I have download the cmu-snmp-V1.9.tar.gz and installed in the machine,
> and also download cmu-snmpapps-V1.4.tar.gz, is this package is used for
> network manager to test snmp?
> Are there any sample of sub-agent which can be used with CMU snmp library?
> I have tried the AgentX Subagent, due to the OS of our box do not pthread
> library,
> I cannot use AgentX, 
> Are there any other sample sugAgent code which speak smux protocol or DPI
> protocol,
> allow me dynamiclly extend the SNMP Agent? since want to monitor some
> processes varriable which is special for our system. and I don't want write
> from scratch and want the sample code of SNMP subAgent.
> 
> 
> Is the CMU Agent can listen any request from any SNMP manager like HP
> OpenView SNMP
> manager or Sun SNMP manager?
> 
> A quick response and help is very appreciated.
> 
> Best Regards
> 
> Gaofeng Heidi Ni
> Software Engineer
> Open Access, Getronics
> Tel: 9978 7023
> 
>

---

From: Matt White <[email-masked]>
Date: Tue, 19 Oct 1999 17:23:57 -0400 (EDT)

Gaofeng:

It should be relatively trivial to modify the subagent library to work
with a standard select loop.  In fact, that was on my list of things to do
when I left CMU.  Look in api.c and protocol.c as a place to start.

The CMU master agent accepts SNMPv1 and SNMPv2c requests.  That should
make it compatible with HP OpenView (though I have not verified this for
myself).

Hope this helps a little,

Matt White
Ericsson IP Infrastructure